<app-unified-header></app-unified-header>
<main role="main" class="container">
  <div class="starter-template">
    <div class="starter-add-textdoc-template" id="upload_textdoc_container">
      <div class="back_to_dashboard">
        <a href="library/{{currentLibraryId}}/books?name={{currentLibraryName}}" >Go Back</a>
      </div>
      
      <h6 id="add-textdoc-step-1">Add Text Document</h6>
      <hr class="horizontal-line">
      <div class="row">

        <div class="col-md-12 col-sm-12 col-12">
            <app-library-selector [config]="librarySelectorConfig"></app-library-selector>
        </div>
        
        <div class="col-md-12 col-sm-12 col-12">
          <div class="textdoc-details-forms">
            <div class="form-group">
              <input maxlength="512" #textdoc_title type="text" class="form-control" id="textdoc_title" name="textdoc_title"
                required placeholder="Add Text Document title here" minlength="3" />
                <span class="helper_text">Specify the text document title.</span>
       
              <span class="validation-error-message" id="textdoc_title_minlength_error">Text document title should be atleast 3
                characters
                long.</span>
            </div>

            <div class="form-group">
              <input maxlength="512" #textdoc_author type="text" class="form-control" id="textdoc_author" required
                placeholder="Add Author information" minlength="3" name="textdoc_author" />
              <span class="helper_text">Specify the author(s) of the text document. If there are multiple authors use comma seperated values.</span>
              <span class="validation-error-message" id="textdoc_author_minlength_error">Text document author information should be
                atleast 3 characters long.</span>
            </div>
         
          </div>
        </div>
        <div class="col-md-12 col-sm-12 col-12">
          <div class="form-group">
            <label for="textdoc_description">Add Description</label>
            <textarea required maxlength="1024" #textdoc_description class="form-control add-textdoc-text-area" id="textdoc_description"
              placeholder="Type here" rows="5" minlength="10" name="textdoc_description"></textarea>
            <span class="validation-error-message" id="textdoc_description_minlength_error">Text Document description should be
              atleast 10 characters long.</span>
          </div>

          <div class="add-textdoc-button-wraper">
            <a  href="library/{{currentLibraryId}}/books?name={{currentLibraryName}}"><button class="btn add-textdoc-cancel-btn">Cancel</button></a>
            <button class="btn add-textdoc-proceed-btn" id="btn-create-textdoc-entry" type="button" (click)="createTextDoc(textdoc_title.value, textdoc_author.value, textdoc_description.value)">Create</button>
            <button style="display: none;" class="btn add-textdoc-proceed-btn" id="btn-update-textdoc-entry" 
              (click)="updateBookBasicDetails()" 
              type="button">Save</button>
          </div>
          <span class="upload_error_message" id="error-add-textdoc">Unknown error. Please retry after sometime.</span>
        </div>

      </div>
    </div>

    <div class="starter-add-textdoc-template container" style="display: none" id="textdoc-add-success-status">
        <a href="object/{{createdTextDocId}}">Go to text document {{createdTextDocId}}</a>
    </div>
    
    <ngx-spinner bdColor="rgba(51, 51, 51, 0.8)" size="large" color="#fff" type="timer">
    </ngx-spinner>

  </div>


</main>
